Skip to main content
GET
Get video captions
This endpoint retrieves a captions for a video.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

videoId
string
required

The YouTube video ID. This is a unique 11-character string that YouTube uses to identify videos.

Required string length: 11
Example:

"dQw4w9WgXcQ"

Query Parameters

format
enum<string>

The format of the response. If not specified, defaults to JSON. Use "text" for plain text output, "csv" for comma-separated values, or "json" for structured data.

Available options:
json,
text,
csv
Example:

"json"

lang
string

The two-letter ISO 639-1 language code for the desired captions (e.g., "en" for English, "es" for Spanish). If not provided, the default language of the video's captions will be used.

Required string length: 2
Example:

"en"

Response

Successful response. The format of the response depends on the "format" query parameter.

offset
number
required

The start time of the caption in seconds from the beginning of the video

Example:

0

duration
number
required

The duration of the caption in seconds

Example:

14.65

lang
string
required

The two-letter ISO 639-1 language code for the caption

Example:

"en"

text
string
required

The text content of the caption

Example:

"you down never going to run around and"

wordCount
integer
required

The number of words in this particular caption

Example:

8

speechRate
number
required

The speech rate in words per minute for this particular caption

Example:

65

Example: